Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class NodePath

    java.lang.Object
      org.exist.storage.NodePath

public class NodePath
extends java.lang.Object

Author:
  wolf

Field Summary
`static QName` | `WILDCARD` (Illegal) QName used as a marker for arbitrary path steps.

Constructor Summary
`NodePath()`
`NodePath(java.util.Map namespaces, java.lang.String path)`
`NodePath(java.util.Map namespaces, java.lang.String path, boolean includeDescendants)`
`NodePath(NodePath other)`

Method Summary
`void` | `addComponent(QName component)`
`void` | `addComponentAtStart(QName component)`
`boolean` | `match(NodePath other)`
`void` | `removeLastComponent()`
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WILDCARD

    public static final QName WILDCARD

  (Illegal) QName used as a marker for arbitrary path steps.

Constructor Detail

### NodePath

    public NodePath()

### NodePath

    public NodePath(NodePath other)

### NodePath

    public NodePath(java.util.Map namespaces,
                    java.lang.String path)

### NodePath

    public NodePath(java.util.Map namespaces,
                    java.lang.String path,
                    boolean includeDescendants)

Method Detail

### addComponent

    public void addComponent(QName component)

### addComponentAtStart

    public void addComponentAtStart(QName component)

### removeLastComponent

    public void removeLastComponent()

### match

    public final boolean match(NodePath other)

### reset

    public void reset()

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.